import request from '@/config/axios'

// 货位历史 VO
export interface StockLogVO {
}

// 货位历史 API
export const StockLogApi = {
  // 查询货位历史分页
  getStockLogPage: async (params: any) => {
    return await request.get({ url: `/logistics/stock-log/page`, params })
  },

  // 查询货位历史详情
  getStockLog: async (id: number) => {
    return await request.get({ url: `/logistics/stock-log/get?id=` + id })
  },

  // 新增货位历史
  createStockLog: async (data: StockLogVO) => {
    return await request.post({ url: `/logistics/stock-log/create`, data })
  },

  // 修改货位历史
  updateStockLog: async (data: StockLogVO) => {
    return await request.put({ url: `/logistics/stock-log/update`, data })
  },

  // 删除货位历史
  deleteStockLog: async (id: number) => {
    return await request.delete({ url: `/logistics/stock-log/delete?id=` + id })
  },

  // 导出货位历史 Excel
  exportStockLog: async (params) => {
    return await request.download({ url: `/logistics/stock-log/export-excel`, params })
  },
}
